<!DOCTYPE html>
<html>
  <head>
    <%- include('./part/head'); -%>
    <title>Hypertube - Sign in</title>
    <link rel="stylesheet" type="text/css" href="/style/login.css" />
  </head>
  <body>
    <%- include('./part/header'); -%>
    <div class="login-global">
      <div class="login-text">
        <p>A web application allows users to search and watch torrent videos !</p>
      </div>
      <div class="login-form-global">
        <div class="login-form-content">
          <div class="login-content">
            <h2>Sign in</h2>
            <form class="login-form" action="/login" method="post">
              <input class="input-login" required type="text" value="" name="username" placeholder="Username"/>
              <input class="input-login" required type="password" value="" name="password" placeholder="Password"/>
              <div class="login-btn-signin">
                <input class="input-login" type="submit" value="Sign in"/>
                <a href="/forgot">Forgot password ?</a>
              </div>
              <% if (error) { %>
                <p class="error"><%= error %></p>
              <% } %>
              <p class="login-register-btn">Or <a href="/register" class="link-register">register</a></p>
            </form>
            <div class="login-auth-btn">
              <a href="/auth/twitter"><div class="btn-auth"><div class="btn-auth-content"><i class="fab fa-twitter"></i>Sign in with twitter</div></div></a>
              <a href="/auth/google"><div class="btn-auth"><div class="btn-auth-content"><i class="fab fa-google"></i>Sign in with google</div></div></a>
              <a href="/auth/42"><div class="btn-auth"><div class="btn-auth-content"><img class="login-42-logo" src="/img/42-logo.svg"/>Sign in with 42 intranet</div></div></a>
              <a href="/auth/github"><div class="btn-auth"><div class="btn-auth-content"><i class="fab fa-github"></i>Sign in with github</div></div></a>

            </div>
          </div>
        </div>
      </div>
    </div>
    <%- include('./part/footer'); -%>
  </body>
</html>
